/*
 * A P P
 */
#liveMap {
  width: 100%;
  height: 200px;
}

.app-group .app-header {
  display: table-row;
}
.app-group .app-padding {
  width: 50%;
  display: table-cell;
  vertical-align: middle;
  margin: 0;
}
.app-group .app-content {
  display: table-cell;
  text-align: center;
  vertical-align: middle;
  margin: 0;
}
.app-group .gr-teams {
  margin: 5px 0;
  width: 200px;
}

.stat-view {
  height: 75px;
  padding: 3px;
  margin: 0;
  font-size: 10px;
  line-height: 10px;
}
.stat-view table {
  width: 100%;
}

.g_map_marker {
  color: #fff;
  display: inline-block;
  font-size: 32px;
  font-weight: 500;
  text-align: center;
  width: 32px;
}

.station-card-square.mdl-card {
  width: 100%;
  height: 100%;
}
.station-card-square.mdl-card ul {
  list-style-type: none;
}

#app {
  display: grid;
  grid-template-columns: 50% 50%;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

#liveMap div {
  padding: 0 !important;
}

#info {
  /*display: none;*/
  position: absolute;
  background-color: rgba(0, 0, 0, 0.6);
  top: 3px;
  left: 3px;
  height: 73px;
  width: 270px;
  z-index: 999;
  font-family: Arial, serif !important;
  font-size: 10px;
  color: #fff;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

h1 {
  font-size: 40px;
  letter-spacing:1px;
}

a {
  text-decoration: none;
}

nav {
  position: fixed;
  top: 0;
  left: 0;
}

nav a {
  padding: 5px 10px;
  margin: 3px;
  background-color: #dadada;
  color: #2d3748;
  text-decoration: none;
}

label, input {
  display: block;
}
label.code-input, input.code-input {
  border: solid 2px #111;
  width: 100%;
  padding: 10px 15px;
  font-size: 1.2rem;
  margin-top: 25px;
  margin-bottom: 5px;
}

/*
.grid {
    display: grid;
    grid-template-rows:80px auto auto 80px;
    width: 360px;
    height: 720px;
    margin: 0 auto;
    border: solid 1px #ccc;
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.25);
}
*/
.grid {
  display: grid;
  grid-template-rows: 80px auto auto 80px;
  width: 100%;
  height: auto;
  min-height: 100vh;
  margin: 0 auto;
}

.grid-error {
  display: grid;
  grid-template-rows: 80px auto 80px;
  /*width: 100vh;*/
  height: 100vh;
  margin: 0 auto;
}
.grid-error .inner-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  text-align: center;
}

.grid-teams {
  display: grid;
  grid-template-rows: 80px auto auto 80px;
  /*width: 100vh;*/
  height: 100vh;
  margin: 0 auto;
}
.grid-teams .team-title {
  padding: 10px 5px;
  display: flex;
  flex-direction: column-reverse;
}
.grid-teams .team-title h2, .grid-teams .team-title span {
  padding: 5px;
}

.grid-antworten {
  display: grid;
  grid-template-rows: 80px auto auto auto auto 80px;
  /*
  width: 360px;
  height: 720px;
   */
  width: 100vh;
  height: 100vh;
  margin: 0 auto;
  /* align-items: center; */
  border: solid 1px #ccc;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.25);
}
.grid-antworten .antwort a {
  text-align: center;
  display: block;
  padding: 20px;
  border: none;
  margin: 0 auto;
  width: 100%;
  font-size: 18px;
}

.grid-rebus {
  grid-template-columns: auto auto auto;
  font-size: 25px;
  font-weight: bold;
  align-items: center;
  justify-content: center;
}

.grid-rebus-line {
  width: 100%;
  display: inline-grid;
  grid-template-columns: auto auto auto auto auto;
  align-items: center;
  justify-content: center;
}

.grid-rebus-line.rebus-antwort input[type=text] {
  width: 50px;
  height: 60px;
}

.grid-rebus-line.rebus-antwort div {
  padding: 15px 7px !important;
}

.grid-slider {
  display: grid;
  grid-template-rows: 80px 150px auto 80px;
  /*
  width: 360px;
  height: 720px;
   */
  width: 100vh;
  height: 100vh;
  margin: 0 auto;
}

.btn {
  padding: 4px 10px;
  border: solid 1px #ccc;
  background-color: #dadada;
  color: #333;
}

.intro-btn {
  margin-top: 50px;
  padding: 10px 20vh;
}

.team-btn {
  text-align: center;
  display: block;
  padding: 8px;
  border: none;
  text-decoration: none;
  margin: 10px 3vh;
  font-size: 18px;
}

.rebus-antwort {
  font-size: 30px;
}

.rebus-antwort input {
  height: 60px;
  margin: 10px 10%;
  width: 80%;
  font-size: 30px;
  text-align: center;
}

.ri-pause-mini-line {
  transform: rotate(90deg);
  display: inline-block;
}

div.header {
  padding: 18px 15px;
  position: relative;
}

.options {
  padding: 100px;
}

.text {
  /*overflow: scroll;*/
  overflow: hidden;
  text-align: center;
  font-weight: bold;
  font-size: 18px;
}

.text-center {
  text-align: center;
}

.line-separator {
  height: 1px;
  background: #717171;
  border-bottom: 1px solid #313030;
}

.black {
  background-color: #000;
  color: #fff;
}

.red {
  background-color: #da1121;
  color: #fff;
}

.grid div,
.grid-rebus div,
.grid-slider div,
.grid-antworten div {
  padding: 13px 15px;
}

.grid .gr-error {
  color: red;
}
.grid .gr-error .gr-icon svg {
  height: 20px;
  width: 20px;
}
.grid .gr-error .gr-text {
  padding: 5px 3px;
  font-size: 20px;
  font-weight: 700;
}
.grid.menu .options a {
  display: block;
  padding: 5px;
  border-radius: 6px;
  border: 1px solid #000;
  margin: 5px;
}
.grid .footer div {
  padding: 15px 0;
  font-size: 20px;
}
.grid .footer span.end {
  line-height: 50px;
  font-size: 30px;
}
.grid div.divider {
  padding: 0;
  height: 2px;
  margin: 5px;
}
.grid .main-carousel {
  padding: 0px !important;
  height: 450px !important;
}
.grid .main-carousel div {
  padding: 3px;
}
.grid .main-carousel h3 {
  font-size: 30px;
  font-weight: 300;
  min-height: 85px;
}
.grid .main-carousel p {
  font-size: 17px;
}
.grid .carousel-cell {
  width: 65%;
  margin: 5%;
  text-align: center;
  height: auto;
  padding-top: 10%;
}
.grid .carousel-cell img {
  width: 100%;
  margin: 15px auto;
  display: block;
}
.grid .carousel-cell input {
  margin: 0 auto;
}

.inner-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  text-align: center;
}

.logo-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  text-align: center;
}

.distance {
  font-weight: bolder;
}

.menu-button {
  position: absolute;
  height: 80px;
  width: 80px;
  right: 0px;
  top: 0px;
  text-align: center;
  padding: 20px 15px !important;
}

img {
  /*mix-blend-mode: luminosity */
  /*mix-blend-mode: hard-light;*/
  width: 100%;
}

/* STARTEN */
table.warning tr {
  vertical-align: top;
}
table.warning tr td {
  padding: 5px 15px;
  font-size: 16px;
  color: #777;
}
table.warning input[type=checkbox] {
  /* Double-sized Checkboxes */
  /* IE */
  /* FF */
  /* Safari and Chrome */
  /* Opera */
  transform: scale(2);
  padding: 10px;
  margin-top: 10px;
}

@media screen and (max-width: 800px) {
  #app {
    display: grid;
    grid-template-columns: 100%;
    justify-content: center;
    align-items: center;
    height: auto;
  }

  .options {
    padding: 50px;
  }

  .grid {
    display: grid;
    grid-template-rows: 80px auto auto 80px;
    width: 100%;
    max-width: 500px;
    height: auto;
    min-height: 100vh;
    margin: 0 auto;
  }

  .text {
    font-size: 3vw;
  }
}
@media screen and (max-width: 500px) {
  .text {
    font-size: 5.5vw;
  }
}
@media screen and (max-width: 350px) {
  .grid h1 {
    font-size: 1.6rem;
  }
}